cURL
curl -X GET 'https://app-be.thesis.io/api/v1/integration/spaces?offset=0&limit=10&title=AI%20Research' \
-H 'Authorization: Bearer YOUR_SPACE_API_TOKEN'import requests
url = 'https://app-be.thesis.io/api/v1/integration/spaces'
headers = {
'Authorization': 'Bearer YOUR_SPACE_API_TOKEN'
}
params = {
'offset': 0,
'limit': 10,
'title': 'AI Research'
}
response = requests.get(url, headers=headers, params=params)
print(response.json())const params = new URLSearchParams({
offset: '0',
limit: '10',
title: 'AI Research'
});
const response = await fetch(`https://app-be.thesis.io/api/v1/integration/spaces?${params}`, {
method: 'GET',
headers: {
'Authorization': 'Bearer YOUR_SPACE_API_TOKEN'
}
});
const data = await response.json();
console.log(data);const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app-be.thesis.io/api/v1/integration/spaces', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": "Get list spaces success",
"data": [],
"pagination": {
"offset": 0,
"limit": 10,
"total": 25,
"has_more": true
}
}{
"detail": "Invalid request data or missing required fields"
}{
"detail": "Unauthorized"
}{
"detail": "Resource not found"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}{
"detail": "Internal server error"
}spaces
Get List of Spaces
Retrieves a paginated list of spaces accessible to the authenticated user. Supports filtering by title and pagination with offset/limit parameters.
GET
/
api
/
v1
/
integration
/
spaces
cURL
curl -X GET 'https://app-be.thesis.io/api/v1/integration/spaces?offset=0&limit=10&title=AI%20Research' \
-H 'Authorization: Bearer YOUR_SPACE_API_TOKEN'import requests
url = 'https://app-be.thesis.io/api/v1/integration/spaces'
headers = {
'Authorization': 'Bearer YOUR_SPACE_API_TOKEN'
}
params = {
'offset': 0,
'limit': 10,
'title': 'AI Research'
}
response = requests.get(url, headers=headers, params=params)
print(response.json())const params = new URLSearchParams({
offset: '0',
limit: '10',
title: 'AI Research'
});
const response = await fetch(`https://app-be.thesis.io/api/v1/integration/spaces?${params}`, {
method: 'GET',
headers: {
'Authorization': 'Bearer YOUR_SPACE_API_TOKEN'
}
});
const data = await response.json();
console.log(data);const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app-be.thesis.io/api/v1/integration/spaces', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": "Get list spaces success",
"data": [],
"pagination": {
"offset": 0,
"limit": 10,
"total": 25,
"has_more": true
}
}{
"detail": "Invalid request data or missing required fields"
}{
"detail": "Unauthorized"
}{
"detail": "Resource not found"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}{
"detail": "Internal server error"
}Authorizations
Enter your API token in the format: Bearer <your_token_here>
⌘I